import 'package:uuid/uuid.dart';

class ProcessError {
  dynamic error;
  final uuid = Uuid();

  ProcessError(Object source) {
    error = source;
  }

  @override
  int get hashCode => uuid.hashCode;

  @override
  bool operator ==(Object other) =>
      (other is ProcessError) ? uuid == other.uuid : false;

  @override
  String toString() {
    return error?.toString() ?? super.toString();
  }
}
